igeo

## Class ITexture

- java.lang.Object
- - igeo.ITexture

- Direct Known Subclasses:
    IPixelTexture

      public class ITexture
      extends java.lang.Object

  Abstract texture class (wrapping ITextureGL2)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `filename`
    `igeo.gui.ITextureGraphicGL` | `glTexture`
    `java.awt.image.BufferedImage` | `image`
    `boolean` | `needUpdate`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ITexture(java.awt.image.BufferedImage img)` constructor with AWT buffered image
    `ITexture(java.awt.Image img)` constructor with AWT image
    `ITexture(int width, int height)` constructor with pixel size
    `ITexture(java.lang.String filename)` constructor with image file name
    `ITexture(java.lang.String filename, int width, int height)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.image.BufferedImage` | `getBufferedImage(java.awt.Image image)`
    `java.awt.image.BufferedImage` | `getBufferedImage(java.awt.Image image, int width, int height)`
    `java.awt.image.BufferedImage` | `getBufferedImage(int width, int height)`
    `java.awt.image.BufferedImage` | `getBufferedImage(java.lang.String imageFile)`
    `int` | `height()`
    `int` | `id(igeo.gui.IGraphicsGL g)`
    `void` | `update()`
    `int` | `width()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### glTexture

          public igeo.gui.ITextureGraphicGL glTexture

    - #### filename

          public java.lang.String filename

    - #### image

          public java.awt.image.BufferedImage image

    - #### needUpdate

          public boolean needUpdate

  - ### Constructor Detail

    - #### ITexture

          public ITexture(java.lang.String filename)

      constructor with image file name

    - #### ITexture

          public ITexture(java.lang.String filename,
                  int width,
                  int height)

    - #### ITexture

          public ITexture(java.awt.Image img)

      constructor with AWT image

    - #### ITexture

          public ITexture(java.awt.image.BufferedImage img)

      constructor with AWT buffered image

    - #### ITexture

          public ITexture(int width,
                  int height)

      constructor with pixel size

  - ### Method Detail

    - #### width

          public int width()

    - #### height

          public int height()

    - #### getBufferedImage

          public java.awt.image.BufferedImage getBufferedImage(java.awt.Image image)

    - #### getBufferedImage

          public java.awt.image.BufferedImage getBufferedImage(java.awt.Image image,
                                                      int width,
                                                      int height)

    - #### getBufferedImage

          public java.awt.image.BufferedImage getBufferedImage(java.lang.String imageFile)

    - #### getBufferedImage

          public java.awt.image.BufferedImage getBufferedImage(int width,
                                                      int height)

    - #### id

          public int id(igeo.gui.IGraphicsGL g)

    - #### update

          public void update()